#include <bits/stdc++.h>
using namespace std;
int N,r1,c1,r2,c2,t;
int main()
{
    cin>>N;
    for(int i=1; i<=2; i++){
        cin>>r1>>c1;
        cin>>r2>>c2;
        if(N==1) t=0;
        else if(N==2){
            if(r1==r2 or c1==c2) t=1;
            else t=0;
        }
    }
    cout<<t<<endl;
    return 0;
}